/*======================================
Theme Name: UF Policy Child Theme (Mercury)
Author: UFIT Web Services
Author URI: https://webservices.it.ufl.edu/
Description: Theme to enable custom post types used for UF policies and regulations
Version: 0.1
Template: ufl-main-uni
Text Domain: ufpolicy
======================================*/

/* Search Styling */ 
.search-container { 
	background: linear-gradient(#00385e, #003e64); 
	height: 250px; 
	display: flex; 
	justify-content: center; 
	align-items: center; 
	/* flex-wrap: wrap; */ 
} 

.search-form { 
	display: flex; 
	/* background-color: #417aa4; */ 
	/* background-color: #00385e; */ 
	/* border: 5px solid #fff; */ 
	margin-bottom: 0px; 
	width: auto; 
	/* height: 60px; */ 
	flex-direction: column-reverse; 
	align-content: space-between; 
	justify-content: space-between; 
	flex-wrap: wrap; 
	justify-items: center; 
	align-items: center; 
} 

.search-form button { 
	background-color: #417aa4; 
	height: 6vh; width: auto; 
	/* max-width: 20vw; */ 
	align-content: center; 
} 

.search-form input { 
	width: 50vw; 
	/* width: calc(50vw - 12%); */ 
	border: 5px solid #fff; 
	border-radius: 15px;
	background-image: url('https://policy.ufl.edu/wp-content/uploads/2023/05/searchicon.png');
	background-position: 10px 14px; 
  	background-repeat: no-repeat;	
} 
.search-input { 
	/* width: 100%; */ 
	/* display: flex; */ 
	height: 6vh; 
	padding-left: 45px; 
	font-size: 16px; 
	border: none; 
	color: #00395f;
    caret-color: #00395f; 
	/*background-color: #00395f; */
	flex-wrap: wrap;
}

/* Filter List */

:root .uf-check input[type="checkbox"] + div, :root .uf-check input[type="radio"] + div {
    width: 25px;
    height: 25px;
}

:root .uf-check input[type="checkbox"]:focus + div, :root .uf-check input[type="radio"]:focus + div {
    background: #eae5d7;  /*#faf8f1;*/
}

.uf-check {
    color: #00529b;
    cursor: pointer;
    /*display: block;*/
	display: flex;
	flex-wrap: wrap;
    flex-direction: row;
    font: 500 20px/1.2 var(--book-weight-sans), "Helvetica Neue", Helvetica, Arial, sans-serif;
    margin-bottom: 16px;
}

:root .uf-check input[type="checkbox"] + div, :root .uf-check input[type="radio"] + div {
	  margin: 0 12px 0 0;
	border: 2px solid #00529b;
}

.filter-widget {
    margin-top: 100px;
}

.dataTables_wrapper {
	   margin: 100px 0px;
}

div#mainSearch_filter.dataTables_filter {
	position: relative;
    bottom: 50px;
	float: none;
    text-align: center;
	/*lo add
	display: none;*/
}

/*******************/
#mainSearch_filter.dataTables_filter label {
	font-size: 0px;
	color: transparent;
}

#mainSearch_filter.dataTables_filter label input {
	min-width: 50vw;
}

#mainSearch_wrapper.dataTables_wrapper .dataTables_filter input {

    border: 1px solid #aaa;
    border-radius: 15px;
    padding: 14px;
	color: #000;
    background-color: white;
    margin-left: 3px;
	background-image: url('https://policy.ufl.edu/wp-content/uploads/2023/05/searchicon.png');
	background-position: 10px 14px; 
  	background-repeat: no-repeat;	
	padding-left: 45px;
	font-size: 16px;
}
#mainSearch_filter.dataTables_filter {
	background: linear-gradient(#00385e, #003e64);
    height: 250px;
    display: flex;
    justify-content: center;
    align-items: center;
	margin: 0px -100px;
}

#mainSearch_wrapper.dataTables_wrapper {
    margin: 10px 100px;
}


@media screen and (min-width: 400px){
	#mainSearch_wrapper.dataTables_wrapper {
		margin: 50px 100px;
	}
}

@media screen and (max-width: 580px){
	div#mainSearch_filter.dataTables_filter {
	    bottom: 100px;
	}
}

.home .content #filter-form h2{
	font-size: 52px;
	line-height: 58px;
	margin-bottom: 1.75rem;
}

/*********************/

#filter-form{
	top: 50px;
}


#filter-form > ul {
	margin-left: 0px;
	padding-left: 5px;
}

/* Table for Policies */

table tbody tr:nth-child(odd),table.dataTable tbody tr:nth-child(odd) {
    background: #f4f6f6 ;
}

table.dataTable#mainSearch {
    width: 75%;
    clear: none;
}

.dataTables_wrapper #mainSearch_length.dataTables_length {
    float: right;
    margin: 30px 0px;
	padding-right: 15px;
}

table.col-sm-9.dataTable.no-footer {
    border-bottom: none;
}

.dataTables_wrapper #mainSearch_info.dataTables_info {
   padding: .3em;
	margin: 0 1em;
	clear: none;
	float: right;
	/*padding-left: 15px;*/
}

/*.dataTables_wrapper #mainSearch_paginate.dataTables_paginate {
    padding-top: 2.25em;
	float: none;
}*/

.dataTable a {
    color: var(--wp--preset--color--black);
    text-decoration: none;
	font-weight: 500;
    font-family: var(--medium-weight-sans);
}

/* Ordered Lists and  */
ol {list-style-type: decimal;}

ol.alpha {list-style-type: upper-alpha;}

ul.alpha-lower {list-style-type: lower-alpha;}

ol.alpha-lower li {list-style-type: lower-alpha;}

ul.bullet {list-style-type: disc;}

h1.entry-title {line-height: 40px}

/* fix homepage menu navbar to 2 col */
div.dropdown ul {display: block;}

/* Update to mercury theme additions */
button.button.animated-border-button.button-border-orange {
    background-color: #fff;
}
.filter-widget{
	float: left;
}

td {
    border-right: 1px solid #8a9397;
}

td:last-child {
    border-right: none;
}

.content tr:first-child td, .content tr:first-child th
Specificity: (1,1,2)
 {
    border-top-width: 1px;
}

.content tr:last-child td, .content tr:last-child th {
    border-bottom-width: 1px;
}
.content tr td, .content tr th {
    border-bottom-width: 0;
    border-top-width: 0;
}
.content table thead tr:nth-child(1):last-child th {
    border: none;
}
.content table tr:nth-child(n) td:first-child, .content table tr:nth-child(n) th:first-child {
    border-left: 0;
}
.content table thead tr:only-child th {
    border: 1px solid black;
}
table thead tr:first-child th {
    border: none;
}
.content table thead th {
    color: #0021a5;
    font-weight: bold;
    font-size: 22px;
    background-color: white;
}
.content table th {
    border: 1px solid #8a9397;
    font-family: var(--semi-bold-sans);
    text-align: left;
    padding: 22px;
}
table th {
    font-size: 22px;
    line-height: 26px;
    text-align: left;
    color: black;
    font-family: var(--light-weight-sans);
    min-width: 175px;
}

.wp-block-table table td:nth-of-type(odd){
    background-color: #fff;
}

#content ol li::before {
    margin-left: -35px;
    width: 35px;
}

#content ul {
    list-style: none;
	padding-left: 25px;
}

.wp-block-table {
    overflow-x: auto;
}
.listserv-form input[type=submit]:hover,
.listserv-form input[type=submit]:focus {
    color: var(--black);
    background-color: #F4F6F6 !important;
    box-shadow: none;
}

#content #filter-form ul li:before{
	display:none;
}

/* Link styles */
body a {
    font-family: var(--medium-weight-sans);
    color: #0021a5;
    text-decoration: none;
}
body a:hover, body a:focus {
    text-decoration: underline;
    color: #000;
}
.dataTable a:hover, .dataTable a:focus {
    text-decoration: none;
}